curl "https://app.talkover.ai/api/v1/callback-agents/source-agents" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"id": "agent-uuid-2",
"name": "Sales Outbound",
"direction": "outbound",
"current_status": "published"
},
{
"id": "agent-uuid-3",
"name": "Survey Outbound",
"direction": "outbound",
"current_status": "published"
}
]
}
Callback Agents
List Callback Source Agents
List outbound agents eligible to be sources for a callback agent
GET
/
api
/
v1
/
callback-agents
/
source-agents
curl "https://app.talkover.ai/api/v1/callback-agents/source-agents" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"id": "agent-uuid-2",
"name": "Sales Outbound",
"direction": "outbound",
"current_status": "published"
},
{
"id": "agent-uuid-3",
"name": "Survey Outbound",
"direction": "outbound",
"current_status": "published"
}
]
}
List Callback Source Agents
List outbound agents that can be configured as source agents for a callback agent. A source agent’s outbound calls become candidates for callback when the contact returns the call.Endpoint
GET /api/v1/callback-agents/source-agents
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_hereExamples
curl "https://app.talkover.ai/api/v1/callback-agents/source-agents" \
-H "Authorization: Bearer talq_your_environment_token_here"
Response
{
"success": true,
"data": [
{
"id": "agent-uuid-2",
"name": "Sales Outbound",
"direction": "outbound",
"current_status": "published"
},
{
"id": "agent-uuid-3",
"name": "Survey Outbound",
"direction": "outbound",
"current_status": "published"
}
]
}
Notes
- Only published
outboundagents are returned. - Use the IDs in this list when calling Set Agent as Callback or Update Callback Sources.
Was this page helpful?